local app = [
"api/example_api",
"service/example_service"
];

local pipeline(app) =
{
    "kind": "pipeline",
    "type": "docker",
    "name": app,
    "steps": [
        {
            "name": "build",
            "image": "alpine",
            "commands": [
                "echo hello world: " + app,
            ]
        }
    ],
    "trigger": [
        {
            "branch": "master"
        },
        {
            "paths": "/app/"+app+"/*"
        }
        ]
};

[ pipeline(app) for app in app]
